FROM nvcr.io/nvidia/l4t-tensorflow:r32.6.1-tf2.5-py3
RUN apt-get install make g++ gcc
RUN pip3 install gunicorn 
RUN pip3 install setuptools==46.1.3
#RUN pip3 install flask numpy Pillow six matplotlib
RUN mkdir -p /app
WORKDIR /app

COPY requirements.txt /app
RUN pip3 install -r requirements.txt -i https://mirrors.aliyun.com/pypi/simple/

COPY ./app /app
EXPOSE 5000
CMD ["gunicorn", "--bind", ":5000", "server:app"]


